package com.mvc.dao;

import com.mvc.entity.TaskSpecialCfg;
import com.mvc.entity.TaskSpecialCfgExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TaskSpecialCfgMapper {
    long countByExample(TaskSpecialCfgExample example);

    int deleteByExample(TaskSpecialCfgExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TaskSpecialCfg record);

    int insertSelective(TaskSpecialCfg record);

    List<TaskSpecialCfg> selectByExample(TaskSpecialCfgExample example);

    TaskSpecialCfg selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TaskSpecialCfg record, @Param("example") TaskSpecialCfgExample example);

    int updateByExample(@Param("record") TaskSpecialCfg record, @Param("example") TaskSpecialCfgExample example);

    int updateByPrimaryKeySelective(TaskSpecialCfg record);

    int updateByPrimaryKey(TaskSpecialCfg record);
}